ShoppingCartProduct

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ShoppingCartProduct

    java.lang.Object
      com.fenalco.entities.AbstractProduct
          com.fenalco.entities.ShoppingCartProduct

    public class ShoppingCartProduct

extends AbstractProduct

Esta clase representa los productos que forman parte del carrito de compras con los respectivos campos que son relevantes para el carrito : id, nombre, cantidad, precio, y estado

Author:
  Mario Linares Vásquez CONTROL DE CAMBIOS: Fecha Autor tipo cambio descripción 2004/08/21 Andrés adicion constructor se adiciono el parámetro productCode

Field Summary
`(package private) java.lang.String` | `brand` Nombre de la marca del producto
`(package private) java.lang.String` | `category` Nombre de la categoría a la que pertenece el producto
`(package private) int` | `minimum` Minima cantidad de este producto que se puede pedir

Fields inherited from class com.fenalco.entities.AbstractProduct
`code, name, price, quantity, supplierId, supplierName, supplierProductId, tableId`

Constructor Summary
`ShoppingCartProduct()` Constructor por omisión de la clase

Method Summary
`boolean` | `delete(Transaction transaction)` elimina el producto de la base de datos creando la instrucción sql y la pasa a la transacción
`java.lang.String` | `getBrand()` Getter for property brand.
`java.lang.String` | `getCategory()` Getter for property category.
`int` | `getMinimum()` Getter for property minimum.
`double` | `getTotalPrice()`
`boolean` | `loadData(int id)` Carga los datos del producto de la base de datos a partir del id del producto en la tabla necesaria
`boolean` | `saveData(Transaction transaction)` almacena los datos del producto en la base de datos construyendo la sentencia sql necesaria y adicionandola a la transacción.
`void` | `setBrand(java.lang.String brand)` Setter for property brand.
`void` | `setCategory(java.lang.String category)` Setter for property category.
`void` | `setMinimum(int minimum)` Setter for property minimum.
`boolean` | `update(Transaction transaction)` actualiza el producto en la base de datos construyendo la instrucción sql y pasandola a la transacción

Methods inherited from class com.fenalco.entities.AbstractProduct
`getCode, getName, getPrice, getQuantity, getSupplierId, getSupplierName, getSupplierProductId, getTableId, setCode, setName, setPrice, setQuantity, setSupplierId, setSupplierName, setSupplierProductId, setTableId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### category

    java.lang.String category

  Nombre de la categoría a la que pertenece el producto

### brand

    java.lang.String brand

  Nombre de la marca del producto

### minimum

    int minimum

  Minima cantidad de este producto que se puede pedir

Constructor Detail

### ShoppingCartProduct

    public ShoppingCartProduct()

  Constructor por omisión de la clase

Method Detail

### getTotalPrice

    public double getTotalPrice()

  Returns:
    Returns the totalPrice.

### delete

    public boolean delete(Transaction transaction)

  Description copied from class: `AbstractProduct`
  elimina el producto de la base de datos creando la instrucción sql y la pasa a la transacción

  Specified by:
    `delete` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo ejecutar la operación o no

### loadData

    public boolean loadData(int id)

  Description copied from class: `AbstractProduct`
  Carga los datos del producto de la base de datos a partir del id del producto en la tabla necesaria

  Specified by:
    `loadData` in class `AbstractProduct`
  Parameters:
    `id` - identificador del producto en la tabla necesaria
  Returns:
    booleano que indica si se pudo cargar el producto o no

### saveData

    public boolean saveData(Transaction transaction)

  Description copied from class: `AbstractProduct`
  almacena los datos del producto en la base de datos construyendo la sentencia sql necesaria y adicionandola a la transacción.

  Specified by:
    `saveData` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolenao que indica si la operación se realizó con éxito

### update

    public boolean update(Transaction transaction)

  Description copied from class: `AbstractProduct`
  actualiza el producto en la base de datos construyendo la instrucción sql y pasandola a la transacción

  Specified by:
    `update` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si la operación se pudo ejecutar o no

### getCategory

    public java.lang.String getCategory()

  Getter for property category.

  Returns:
    Value of property category.

### setCategory

    public void setCategory(java.lang.String category)

  Setter for property category.

  Parameters:
    `category` - New value of property category.

### getBrand

    public java.lang.String getBrand()

  Getter for property brand.

  Returns:
    Value of property brand.

### setBrand

    public void setBrand(java.lang.String brand)

  Setter for property brand.

  Parameters:
    `brand` - New value of property brand.

### getMinimum

    public int getMinimum()

  Getter for property minimum.

  Returns:
    Value of property minimum.

### setMinimum

    public void setMinimum(int minimum)

  Setter for property minimum.

  Parameters:
    `minimum` - New value of property minimum.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD